PMLOGSIZE(1)

NAME
pmlogsize - report sizes for parts of PCP archive(s)

SYNOPSIS
pmlogsize [-drv?] [-x threshold] archive [...]

DESCRIPTION
pmlogsize prints information about the size of the index, metadata and data sections of a Performance Co-Pilot (PCP) archive. The output is intended to guide improvements in archive encoding format for PCP developers and to help trim pmlogger(1) configuration files to remove metrics that are bloating the PCP archives with low-value data in production environments.

The archive arguments can be any mixture of the names of the physical files of a PCP archive or the basename that is common to all the component physical files in a single archive. In the latter case archive is replaced by a list of all of the matching component file names.

Note the semantics is a little different to other PCP tools in that foo.meta means just the file foo.meta, not foo.index, foo.meta, foo.0, etc.

OPTIONS
The available command line options are:

-d, --detail
    Enable detailed reporting. This means space per instance domain in a metadata file and space per metric (for values) in a data file.

-r, --replication
    Display additional information about possible replicated values in the data file and replicated instances in the metadata file. This option implies -d.

-x threshold, --threshold=threshold
    With -d (or -r), cut off the report after at least threshold percent of the associated space (metric values or instance domains) has been reported. The default behaviour is equivalent to threshold being set to 100.

-v, --verbose
    Enable verbose mode. This option can be provided more than once for additional verbosity.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmdumplog(1), pmlogcheck(1) and pmlogger(1).